Debian Bug report logs - #378700
xterm: [man:resize] quote chars in shell example

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: LI Daobing <lidaobing@gmail.com>

Date: Tue, 18 Jul 2006 13:18:02 UTC

Severity: normal

Tags: fixed-upstream, patch

Found in version xterm/210-3

Fixed in version xterm/244-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lidaobing@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#378700; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to LI Daobing <lidaobing@gmail.com>:
New Bug report received and forwarded. Copy sent to lidaobing@gmail.com, Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: LI Daobing <lidaobing@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xterm: [man:resize] quote chars in shell example
Date: Tue, 18 Jul 2006 21:00:49 +0800
Package: xterm
Version: 210-3
Severity: normal
Tags: patch

following is the patch

--- xterm-210.orig/resize.man
+++ xterm-210/resize.man
@@ -20,7 +20,7 @@
 user's \fI.cshrc\fP:
 .sp
 .nf
-        %  alias rs 'set noglob; eval \fC`\fPresize\fC`\fP'
+        %  alias rs \(aqset noglob; eval \fC\`\fPresize\fC\`\fP\(aq
 .fi
 .sp
 After resizing the window, the user would type:



-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17-1-em64t-p4-smp
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
hi  libc6                         2.3.6-15   GNU C Library: Shared libraries
hi  libfontconfig1                2.3.2-7    generic font configuration library
hi  libice6                       1:1.0.0-3  X11 Inter-Client Exchange library
ii  libncurses5                   5.5-1.1    Shared libraries for terminal hand
hi  libsm6                        1:1.0.0-4  X11 Session Management library
hi  libx11-6                      2:1.0.0-7  X11 client-side library
hi  libxaw7                       1:1.0.1-5  X11 Athena Widget library
hi  libxext6                      1:1.0.0-4  X11 miscellaneous extension librar
hi  libxft2                       2.1.8.2-8  FreeType-based font drawing librar
hi  libxmu6                       1:1.0.1-3  X11 miscellaneous utility library
hi  libxt6                        1:1.0.0-5  X11 toolkit intrinsics library
hi  xbitmaps                      1.0.1-2    Base X bitmaps

Versions of packages xterm recommends:
hi  xutils                        1:7.1.ds-1 X Window System utility programs

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#378700; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 378700@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: LI Daobing <lidaobing@gmail.com>, 378700@bugs.debian.org
Subject: Re: Bug#378700: xterm: [man:resize] quote chars in shell example
Date: Tue, 18 Jul 2006 20:28:44 -0400
[Message part 1 (text/plain, inline)]
On Tue, Jul 18, 2006 at 03:30:15PM +0200, LI Daobing wrote:
> Package: xterm
> Version: 210-3
> Severity: normal
> Tags: patch
> 
> following is the patch
> 
> --- xterm-210.orig/resize.man
> +++ xterm-210/resize.man
> @@ -20,7 +20,7 @@
>  user's \fI.cshrc\fP:
>  .sp
>  .nf
> -        %  alias rs 'set noglob; eval \fC`\fPresize\fC`\fP'
> +        %  alias rs \(aqset noglob; eval \fC\`\fPresize\fC\`\fP\(aq

perhaps some other change.  That only works with groff, and since it's
not portable, I'm not going to apply _that_ change.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#378700; Package xterm. (Sun, 09 Aug 2009 21:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 09 Aug 2009 21:51:02 GMT) Full text and rfc822 format available.

Message #15 received at 378700@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 378700@bugs.debian.org
Subject: re: #378700 xterm: [man:resize] quote chars in shell example
Date: Sun, 09 Aug 2009 17:46:28 -0400
[Message part 1 (text/plain, inline)]
This is addressed in patch #244 (using a different approach).

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Added tag(s) fixed-upstream. Request was from Thomas Dickey <dickey@his.com> to control@bugs.debian.org. (Sun, 09 Aug 2009 21:54:05 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Mon, 10 Aug 2009 16:09:08 GMT) Full text and rfc822 format available.

Notification sent to LI Daobing <lidaobing@gmail.com>:
Bug acknowledged by developer. (Mon, 10 Aug 2009 16:09:08 GMT) Full text and rfc822 format available.

Message #22 received at 378700-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 378700-close@bugs.debian.org
Subject: Bug#378700: fixed in xterm 244-1
Date: Mon, 10 Aug 2009 15:51:00 +0000
Source: xterm
Source-Version: 244-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_244-1.diff.gz
  to pool/main/x/xterm/xterm_244-1.diff.gz
xterm_244-1.dsc
  to pool/main/x/xterm/xterm_244-1.dsc
xterm_244-1_i386.deb
  to pool/main/x/xterm/xterm_244-1_i386.deb
xterm_244.orig.tar.gz
  to pool/main/x/xterm/xterm_244.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 378700@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 10 Aug 2009 16:30:29 +0200
Source: xterm
Binary: xterm
Architecture: source i386
Version: 244-1
Distribution: unstable
Urgency: low
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 378700 458432 522141 538594
Changes: 
 xterm (244-1) unstable; urgency=low
 .
   * New upstream release
     + remove a limit-check in ptydata.c, allowing Unicode values past 64k to
       be displayed using TrueType fonts (closes: #458432)
     + demote recent (xterm 242) change to Debian #252873 fix to experimental,
       ifdef'd out as EXP_BOGUS_FG (closes: #522141)
     + work around groff mapping of ASCII quotes using macros (requested by
       Reuben Thomas based on Colin Watson advice (closes: #378700)
   * Switch debian/rules to xsfbs instead of copying half of (an outdated
     version of) it (closes: #538594).  Incidentally, this provides
     README.source, and allows us to bump Standards-Version to 3.8.2.
   * Remove preinst dealing with upgrades from pre-etch versions.
   * Remove from postinst some code to fix pre-etch non-released versions.
   * Refresh/update patches.
   * Bump debian/compat to 5, as compatibility level 4 has been deprecated.
   * Remove obsolete debian/README.
Checksums-Sha1: 
 8484e62d1fcbcf0059f8a4e9ba40b48d1850f6aa 1339 xterm_244-1.dsc
 3393a28bfe19d23d5f234ec5bceafefd61c5986c 882642 xterm_244.orig.tar.gz
 155d89746199a8cbbfd868370e1c5c1791f88b0d 73013 xterm_244-1.diff.gz
 a890ba49613af766155956c418b76874c3212496 495426 xterm_244-1_i386.deb
Checksums-Sha256: 
 3758d663b5f4add240ac7fdc16ef0265dabadb2f2c68b41df50c7c1b4f230afd 1339 xterm_244-1.dsc
 b253870e0cc4d702a77ae63df1ed8933274f79d56060add48e8ee714ceac1e5b 882642 xterm_244.orig.tar.gz
 4be08c3ebe4cc7e9a46a72e3053cee14cbbc37f52b73b7898864bfb7b67c2cfc 73013 xterm_244-1.diff.gz
 28a1e3c2e9b37cf12c9d1d0057eed30eeed49b80830e1953ce7ed0d4986d726d 495426 xterm_244-1_i386.deb
Files: 
 084610a5c7f72f5f5d0b35d50ba14696 1339 x11 optional xterm_244-1.dsc
 9133a24dde377ad355139f5d6bc9b336 882642 x11 optional xterm_244.orig.tar.gz
 d842c65c7b40d17e89d45e09dc9b6b44 73013 x11 optional xterm_244-1.diff.gz
 61295959c9eb34352ed54bd57b930bbe 495426 x11 optional xterm_244-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkqAL7oACgkQmEvTgKxfcAxktQCgpAuUS4CPkbLp2YrITM4+7sEf
wX8AnR3xrRKXLppS3ZqlAD5NleVTQtke
=H6v+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 10 Sep 2009 07:26:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 06:09:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.